#!/usr/bin/ruby

require_relative '../lib/studiogame/game'
require_relative '../lib/studiogame/player'
require_relative '../lib/studiogame/clumsy_player'
require_relative '../lib/studiogame/berserk_player'


module StudioGame
schoolfriends = Game.new("School Friends")
default_player_file = File.join(File.dirname(__FILE__), 'players.csv')
schoolfriends.load_players(ARGV.shift || default_player_file)

klutz=ClumsyPlayer.new("klutz", 105)
schoolfriends.addplayer(klutz)

berserker = BerserkPlayer.new("berserker", 50)
schoolfriends.addplayer(berserker)

loop do
  puts "\nHow many game round?('quit' to exit)"
  answer = gets.chomp.downcase
  case answer
  when /^\d+$/
    schoolfriends.play(answer.to_i)
  when 'quit', 'exit'
      schoolfriends.print_stats
    break
  else
    puts "Please enter a number or 'quit'"
  end
end

schoolfriends.save_high_scores
end
