require_relative 'player'
module StudioGame
  class BerserkPlayer < Player
    def initialize(name, health=100)
      super(name, health)
      @healthpack_count = 0
    end

    def berserk?
      @healthpack_count > 5
    end

    def healthpack
      super
      puts "#{@name} is berserk!" if berserk?
      @healthpack_count +=1
    end

    def hit
      if berserk?
        healthpack
      else
        super
      end
    end
  end

  if __FILE__ == $0
    berserker = BerserkPlayer.new("berserker", 50)
    6.times { berserker.healthpack }
    2.times { berserker.hit }
    puts berserker.health
  end
end
