require_relative 'player'
module StudioGame
	class ClumsyPlayer < Player
		attr_reader :boost_factor

		def initialize(name, health=100, boost_factor=2)
			super(name, health)
			@boost_factor = boost_factor
		end

		def healthpack
			@boost_factor.times {super}
		end

		def found_treasure(treasure)
			@found_treasures[treasure.name] += (treasure.points / 2)
			puts "#{@name} found a #{treasure.name} worth #{treasure.points/2} points."
		end
	end
end

if __FILE__ == $0
  clumsy = ClumsyPlayer.new("klutz", 105, 10)

  hammer = Treasure.new(:hammer, 50)
  clumsy.found_treasure(hammer)
  clumsy.found_treasure(hammer)
  clumsy.found_treasure(hammer)

  crowbar = Treasure.new(:crowbar, 400)
  clumsy.found_treasure(crowbar)

  clumsy.each_found_treasure do |treasure|
    puts "#{treasure.points} total #{treasure.name} points"
  end
	clumsy.healthpack

end
